target=sumvect

\title{Somme de vecteurs dans l'espace}
\author{Bruno, Mifsud;Hubert, Prohal}
\email{communaute.mutuwims@laposte.net;hubert.proal@ac-aix-marseille.fr}
\keywords{vectors}
\format{html}
#include "lang_sumvect_fr.inc"

%%%%%%%%%% exercice de Rgine Mangeard modifi
\text{lstpts=A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X}
\text{ind=shuffle(24)}
\text{pt1=\lstpts[\ind[1]]}
\text{pt2=\lstpts[\ind[2]]}
\text{pt3=\lstpts[\ind[3]]}
%%%% coord de tous les points nomms
\text{abs=0,1,2,3,0,1,2,3,0,1,2,3,0,1,2,3,0,1,2,3,0,1,2,3,0,1,2,3,0,1,2,3}
\text{cot=0,0,0,0,1,1,1,1,2,2,2,2,0,0,0,0,1,1,1,1,2,2,2,2}
\text{ord=0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1}
\matrix{coord=\abs
\ord
\cot}
%%%%%%%%%%% u+v=sol
\integer{ux=\abs[\ind[2]]-\abs[\ind[1]]}
\integer{uy=\ord[\ind[2]]-\ord[\ind[1]]}
\integer{uz=\cot[\ind[2]]-\cot[\ind[1]]}
\integer{vx=\abs[\ind[3]]-\abs[\ind[2]]}
\integer{vy=\ord[\ind[3]]-\ord[\ind[2]]}
\integer{vz=\cot[\ind[3]]-\cot[\ind[2]]}
%%%%% trouver un autre reprsentant pour v1 et v2
%%% remplacer u
%%% prendre un point puis un autre et regarder si le vecteur a les mme coordonnes que u
\for{i=1 to 24}{
  \for{j=1 to 24}{
    \integer{wx=\abs[\j]-\abs[\i]}
    \integer{wy=\ord[\j]-\ord[\i]}
    \integer{wz=\cot[\j]-\cot[\i]}
    \if{\wx=\ux and \wy=\uy and \wz=\uz}{
      \integer{i1=\i}
      \integer{i2=\j}
    }
  }
}
\text{pt1bis=\lstpts[\i1]}
\text{pt2bis=\lstpts[\i2]}
\text{v1bis=\overrightarrow{\pt1bis \pt2bis}}
%%% mme chose avec v : prendre un point puis un autre et regarder si le vecteur a les mme coordonnes que v
\for{i=1 to 24}{
  \for{j=1 to 24}{
    \integer{tx=\abs[\j]-\abs[\i]}
    \integer{ty=\ord[\j]-\ord[\i]}
    \integer{tz=\cot[\j]-\cot[\i]}
    \if{\tx=\vx and \ty=\vy and \tz=\vz}{
      \integer{j1=\i}
      \integer{j2=\j}
    }
  }
}
\text{pt3bis=\lstpts[\j1]}
\text{pt4bis=\lstpts[\j2]}
\text{v2bis=\overrightarrow{\pt3bis \pt4bis}}

%%%%%%% trac du vecteur 1 : colin  u
\text{vectv1bis= arrow \abs[\i1]*5+(\ord[\i1])*3,\cot[\i1]*5+(\ord[\i1])*2,\abs[\i2]*5+(\ord[\i2])*3,\cot[\i2]*5+(\ord[\i2])*2,10,blue}
%%%%%%trac du vecteur u
\text{vectv1= darrow \abs[\ind[1]]*5+(\ord[\ind[1]])*3,\cot[\ind[1]]*5+(\ord[\ind[1]])*2,\abs[\ind[2]]*5+(\ord[\ind[2]])*3,\cot[\ind[2]]*5+(\ord[\ind[2]])*2,10,blue}

%%%%%%% trac du vecteur 2 : colin  v
\text{vectv2bis= arrow \abs[\j1]*5+(\ord[\j1])*3,\cot[\j1]*5+(\ord[\j1])*2,\abs[\j2]*5+(\ord[\j2])*3,\cot[\j2]*5+(\ord[\j2])*2,10,green}
%%%%%%trac du vecteur v
\text{vectv2= darrow \abs[\ind[2]]*5+(\ord[\ind[2]])*3,\cot[\ind[2]]*5+(\ord[\ind[2]])*2,\abs[\ind[3]]*5+(\ord[\ind[3]])*3,\cot[\ind[3]]*5+(\ord[\ind[3]])*2,10,green}

%%%%%
%%%% sol
\text{v1=\overrightarrow{\pt1 \pt2}}
\text{v2=\overrightarrow{\pt2 \pt3}}
\text{rep=\lstpts[\ind[3]]}
%%%% somme des deux vecteurs
\integer{solx=\ux+\vx}
\integer{soly=\uy+\vy}
\integer{solz=\uz+\vz}
%%%%%%%

\text{dessin=
 xrange -2,20
 yrange -2,15
 poly black,0,0,0,10,15,10,15,0
 line 0,5,15,5,black
 lines black,0,10,3,12,18,12,18,2,15,0
 parallel 15,10,18,12,0,-5,2,black
 lines gray,0,0,3,2,18,2
 lines gray,0,5,3,7,18,7
 parallel 3,2,3,12,5,0,3,gray
 parallel 5,0,8,2,0,5,2,gray
 parallel 10,0,13,2,0,5,2,gray
 lines black,5,0,5,10,8,12
 lines black,10,0,10,10,13,12
 text black,-0.2,-0.2,medium,A
 text black,4.8,-0.2,medium,B
 text black,9.8,-0.2,medium,C
 text black,14.8,-0.2,medium,D
 text black,-0.3,4.8,medium,E
 text black,4.7,4.8,medium,F
 text black,9.7,4.8,medium,G
 text black,14.7,4.8,medium,H
 text black,-0.3,9.8,medium,I
 text black,4.7,9.8,medium,J
 text black,9.7,9.8,medium,K
 text black,14.7,9.8,medium,L
 text black,2.8,1.8,medium,M
 text black,7.8,1.8,medium,N
 text black,12.8,1.8,medium,O
 text black,17.8,1.8,medium,P
 text black,2.7,6.8,medium,Q
 text black,7.7,6.8,medium,R
 text black,12.7,6.8,medium,S
 text black,17.7,6.8,medium,T
 text black,2.7,12.8,medium,U
 text black,7.7,12.8,medium,V
 text black,12.7,12.8,medium,W
 text black,17.7,12.8,medium,X
 linewidth 3
\vectv1bis
\vectv2bis
}

\statement{
  <p class="wimscenter">
  \draw{500,300}{\dessin}</p>
  <p>\name_instruction1</p>
  <div class="wims_question">
  \name_instruction2
    <div class="wimscenter">
    \special{mathmlinput [\v1bis+\v2bis=\overrightarrow{\pt1 reply1\phantom{\,}}],2,noanswer
    reply1}.
    </div>
  </div>
}
\answer{\name_answer:}{\rep}{type=case}

\solution{
<div class="wimscenter">
  \draw{500,300}{\dessin
  \vectv1
  \vectv2
   arrow \abs[\ind[1]]*5+(\ord[\ind[1]])*3,\cot[\ind[1]]*5+(\ord[\ind[1]])*2,\abs[\ind[3]]*5+(\ord[\ind[3]])*3,\cot[\ind[3]]*5+(\ord[\ind[3]])*2,10,red
  }
</div>
   \if{\i2=\ind[2] and \i1=\ind[1] and \j1=\ind[3]}{
    <p> \name_feedback[1;1] : \(\v1+\v2=\widevec{\pt1 \pt3}) (\name_feedback[1;2]).</p>
    <p>\name_feedback[2;] \(\pt3\).</p>}{
    \if{\v1==\v1bis}{}{<p>\name_hint,
     \name_feedback[4;] \(\,\pt1bis \pt1 \pt2 \pt2bis\) \name_feedback[3;].
     \name_feedback[5;] \(\v1bis) et \(\v1\) (<i>\name_feedback[7;1]</i>)
      \name_feedback[6;].
      </p>}
    \if{\v2==\v2bis}{}{<p>\name_hint,
    \name_feedback[4;] \(\,\pt3bis \pt2 \pt3 \pt4bis\) \name_feedback[3;].
     \name_feedback[5;] \(\v2bis\) et \(\v2\) (<i>\name_feedback[7;2]</i>)
     \name_feedback[6;].</p>
    }
    <p>\name_feedback[8;],\(\v1bis+\v2bis=\v1+\v2=\widevec{\pt1 \pt3}) (\name_feedback[1;2]).</p>

    <p>\name_feedback[2;] \(\pt3\).</p>
  }
}
